<?PHP

require_once ("class.image.php");

class ImageDir {

    var $name;
    var $list = array();
    var $count = 0;

    function ImageDir ($dirname) {
        $this->name = $dirname;
        $dir = opendir($dirname);
        while ($file = readdir($dir)) {
            if (eregi("\.jpe?g$", $file)) {
                $this->list[] = $file;
		$this->count++;
            }
        }
        sort($this->list);
   }

    // Return Image number $i
    //
    function GetImage ($i) {
        return new Image($this->name."/".$this->list[$i]);
    }

    // Return HTML table with thumbnail references
    //
    function GetThumbnails ($columns, $rows=99999, $row=0) {
        $t = "<TABLE>\n";

        for ($i = $row*$columns; $i < $dir->count && $i < $rows*$columns; $i += $columns) {
            $t .= "<TR VALIGN=center>\n";
            for ($j = 0; $j < $columns; $j++) {
                if ($i + $j < $this->count) {
                    $image[$j] = GetImage($i + $j);
                    $t .= "<TD>\n";
                    $t .= $image[$j]->GetThumbnail();
                    $t .= "\n</TD>\n";
                }
            }
            $t .= "</TR>\n";
            $t .= "<TR VALIGN=top>\n";
            for ($j = 0; $j < $columns; $j++) {
                if ($i + $j < $this->count) {
                    $comment = $image[$j]->GetComment();
                    $t .= "<TD>$comment</TD>\n";
                }
            }
            $t .= "</TR>\n";
        }

        $t .= "</TABLE>\n";

        return $t;
    }

} // ImageDir
?>
